﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class Project : FullAuditEntity, IHaveCompany
    {
        [Required]
        [MaxLength(250)]
        [Filter]
        public string NameAr { get; set; }
        [Required]
        [MaxLength(250)]
        [Filter]
        public string NameEn { get; set; }
        public string Desc { get; set; }
        public long CompanyId { get; set; }
        public List<ProjectTeam>? ProjectTeams { get; set; }


    }
}
