﻿using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.IRepositories
{
    public interface IContractRepository : IRepository<Contract>
    {
        Task<Contract> GetByIdWithAllChildren(long id);
        Task<Tuple<IQueryable<Contract>, int>> GetAllWithChildrenAsync();
    }
}
