﻿using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Infrastructure.DBContext;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class CountryLookupRepository : Repository<CountryLookup>, ICountryLookupRepository
    {
        private readonly DbSet<CountryLookup> dbSet;
        public CountryLookupRepository(HRDataContext context) : base(context)
        {
            dbSet = context.Set<CountryLookup>();
        }
        
    }
}
