﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class UserBasicInfoDto
    {
        public string? Id { get; set; }
       
        public string FirstName { get; set; }
        public DateTime DateOfBirth { get; set; }
       
        public string IdNumber { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }

        public string? FavoriteName { get; set; }

        public string PhoneNumber { get; set; }
        public UserTypeEnum UserType { get; set; }
      
        public string? Position { get; set; }
        public long? CompanyId { get; set; }

        public IFormFile? ProfileImage { get; set; }
      
    }
}
