﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Core.Entities
{
    public class ContractAllowance : AuditEntity
    {

        public long ContractId{ get; set; }
        [ForeignKey("ContractId")]
        public Contract? Contract { get; set; }
        [Required]
        public long AllowanceType { get; set; }
        public string? AllowanceDesc { get; set; }
        public long EntitlementPercent { get; set; }// اختيار (مبلغ – يكتب المبلغ)    أو  (نسبة من الراتب – ويظهر المبلغ توماتك)      
        public long EntitlementAmount { get; set; }
        public PaymentType PaymentType { get; set; }

    }
}
