﻿using MTWorkHR.Core.Entities.Base;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.Entities
{
    public class Company : FullAuditEntity
    {
        public string UserId { get; set; }
        [Filter]
        public string CompanyName { get; set; }
        [Filter]
        public string CRNumber { get; set; }
        public int TaxNumber { get; set; }
        public string PhoneNumber { get; set; }
        public string Address { get; set; }
        public string Email { get; set; }

        public long? CountryId { get; set; }
        [ForeignKey("CountryId")]

        public CountryLookup? Country { get; set; }

        public long? CityId { get; set; }
        [ForeignKey("CityId")]

        public City? City { get; set; }

    }
}
