﻿using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.IRepositories
{
    public interface IHubConnectionRepository : IRepository<HubConnection>
    {
        Task<Tuple<IQueryable<HubConnection>, int>> GetAllAsync(string connectionId);
        Task<Tuple<IQueryable<HubConnection>, int>> GetAllByUserAsync(string userId);

    }
}
